.TH "orte_buffer_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte_buffer_t \- Structure for holding a buffer to be used with the RML or OOB subsystems.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <dps_types.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBopal_object_t\fP \fBparent\fP"
.br
.RI "\fIFirst member must be the object's parent. \fP"
.ti -1c
.RI "char * \fBbase_ptr\fP"
.br
.RI "\fIStart of my memory. \fP"
.ti -1c
.RI "char * \fBpack_ptr\fP"
.br
.RI "\fIWhere the next data will be packed to (within the allocated memory starting at base_ptr). \fP"
.ti -1c
.RI "char * \fBunpack_ptr\fP"
.br
.RI "\fIWhere the next data will be unpacked from (within the allocated memory starting as base_ptr). \fP"
.ti -1c
.RI "size_t \fBbytes_allocated\fP"
.br
.RI "\fINumber of bytes allocated (starting at base_ptr), typically in multiples of orte_dps_pages, but may not be if the buffer was initialized with orte_dps_load(). \fP"
.ti -1c
.RI "size_t \fBbytes_used\fP"
.br
.RI "\fINumber of bytes used by the buffer (i.e., amount of data -- including overhead -- packed in the buffer). \fP"
.ti -1c
.RI "size_t \fBbytes_avail\fP"
.br
.RI "\fIHow many bytes are available in the allocated buffer -- kept here for convenience rather than recalculating it all the time. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Structure for holding a buffer to be used with the RML or OOB subsystems. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
